/* locator.c generated by valac 0.11.2.24-c8ac0, the Vala compiler
 * generated from locator.vala, do not modify */

/*
 * Copyright (C) 2008 Abderrahim Kitouni
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/* Finds the innermost block containing the given location */

#include <glib.h>
#include <glib-object.h>
#include <vala.h>
#include <float.h>
#include <math.h>


#define TYPE_BLOCK_LOCATOR (block_locator_get_type ())
#define BLOCK_LOCATOR(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_BLOCK_LOCATOR, BlockLocator))
#define BLOCK_LOCATOR_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_BLOCK_LOCATOR, BlockLocatorClass))
#define IS_BLOCK_LOCATOR(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_BLOCK_LOCATOR))
#define IS_BLOCK_LOCATOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_BLOCK_LOCATOR))
#define BLOCK_LOCATOR_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_BLOCK_LOCATOR, BlockLocatorClass))

typedef struct _BlockLocator BlockLocator;
typedef struct _BlockLocatorClass BlockLocatorClass;
typedef struct _BlockLocatorPrivate BlockLocatorPrivate;
#define _vala_code_node_unref0(var) ((var == NULL) ? NULL : (var = (vala_code_node_unref (var), NULL)))

struct _BlockLocator {
	ValaCodeVisitor parent_instance;
	BlockLocatorPrivate * priv;
};

struct _BlockLocatorClass {
	ValaCodeVisitorClass parent_class;
};

struct _BlockLocatorPrivate {
	gdouble location;
	ValaBlock* innermost;
	gdouble innermost_begin;
	gdouble innermost_end;
};


static gpointer block_locator_parent_class = NULL;
static GType block_locator_type_id = 0;

GType block_locator_get_type (void) G_GNUC_CONST;
GType block_locator_register_type (GTypeModule * module);
#define BLOCK_LOCATOR_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_BLOCK_LOCATOR, BlockLocatorPrivate))
enum  {
	BLOCK_LOCATOR_DUMMY_PROPERTY
};
ValaBlock* block_locator_locate (BlockLocator* self, ValaSourceFile* file, gint line, gint column);
static void block_locator_real_visit_block (ValaCodeVisitor* base, ValaBlock* b);
static void block_locator_real_visit_namespace (ValaCodeVisitor* base, ValaNamespace* ns);
static void block_locator_real_visit_class (ValaCodeVisitor* base, ValaClass* cl);
static void block_locator_real_visit_struct (ValaCodeVisitor* base, ValaStruct* st);
static void block_locator_real_visit_interface (ValaCodeVisitor* base, ValaInterface* iface);
static void block_locator_real_visit_method (ValaCodeVisitor* base, ValaMethod* m);
static void block_locator_real_visit_creation_method (ValaCodeVisitor* base, ValaCreationMethod* m);
static void block_locator_real_visit_property (ValaCodeVisitor* base, ValaProperty* prop);
static void block_locator_real_visit_property_accessor (ValaCodeVisitor* base, ValaPropertyAccessor* acc);
static void block_locator_real_visit_constructor (ValaCodeVisitor* base, ValaConstructor* c);
static void block_locator_real_visit_destructor (ValaCodeVisitor* base, ValaDestructor* d);
static void block_locator_real_visit_if_statement (ValaCodeVisitor* base, ValaIfStatement* stmt);
static void block_locator_real_visit_switch_statement (ValaCodeVisitor* base, ValaSwitchStatement* stmt);
static void block_locator_real_visit_switch_section (ValaCodeVisitor* base, ValaSwitchSection* section);
static void block_locator_real_visit_while_statement (ValaCodeVisitor* base, ValaWhileStatement* stmt);
static void block_locator_real_visit_do_statement (ValaCodeVisitor* base, ValaDoStatement* stmt);
static void block_locator_real_visit_for_statement (ValaCodeVisitor* base, ValaForStatement* stmt);
static void block_locator_real_visit_foreach_statement (ValaCodeVisitor* base, ValaForeachStatement* stmt);
static void block_locator_real_visit_try_statement (ValaCodeVisitor* base, ValaTryStatement* stmt);
static void block_locator_real_visit_catch_clause (ValaCodeVisitor* base, ValaCatchClause* clause);
static void block_locator_real_visit_lock_statement (ValaCodeVisitor* base, ValaLockStatement* stmt);
static void block_locator_real_visit_lambda_expression (ValaCodeVisitor* base, ValaLambdaExpression* expr);
BlockLocator* block_locator_new (void);
BlockLocator* block_locator_construct (GType object_type);
static void block_locator_finalize (ValaCodeVisitor* obj);


static gpointer _vala_code_node_ref0 (gpointer self) {
	return self ? vala_code_node_ref (self) : NULL;
}


ValaBlock* block_locator_locate (BlockLocator* self, ValaSourceFile* file, gint line, gint column) {
	ValaBlock* result = NULL;
	ValaBlock* _tmp0_;
	ValaBlock* _tmp1_;
	g_return_val_if_fail (self != NULL, NULL);
	g_return_val_if_fail (file != NULL, NULL);
	self->priv->location = line + (column / 1000.0);
	_tmp0_ = NULL;
	_vala_code_node_unref0 (self->priv->innermost);
	self->priv->innermost = _tmp0_;
	vala_source_file_accept_children (file, (ValaCodeVisitor*) self);
	_tmp1_ = _vala_code_node_ref0 (self->priv->innermost);
	result = _tmp1_;
	return result;
}


static void block_locator_real_visit_block (ValaCodeVisitor* base, ValaBlock* b) {
	BlockLocator * self;
	ValaSourceReference* _tmp0_ = NULL;
	gint _tmp1_;
	ValaSourceReference* _tmp2_ = NULL;
	gint _tmp3_;
	gdouble begin;
	ValaSourceReference* _tmp4_ = NULL;
	gint _tmp5_;
	ValaSourceReference* _tmp6_ = NULL;
	gint _tmp7_;
	gdouble end;
	gboolean _tmp8_ = FALSE;
	self = (BlockLocator*) base;
	g_return_if_fail (b != NULL);
	_tmp0_ = vala_code_node_get_source_reference ((ValaCodeNode*) b);
	_tmp1_ = vala_source_reference_get_first_line (_tmp0_);
	_tmp2_ = vala_code_node_get_source_reference ((ValaCodeNode*) b);
	_tmp3_ = vala_source_reference_get_first_column (_tmp2_);
	begin = _tmp1_ + (_tmp3_ / 1000.0);
	_tmp4_ = vala_code_node_get_source_reference ((ValaCodeNode*) b);
	_tmp5_ = vala_source_reference_get_last_line (_tmp4_);
	_tmp6_ = vala_code_node_get_source_reference ((ValaCodeNode*) b);
	_tmp7_ = vala_source_reference_get_last_column (_tmp6_);
	end = _tmp5_ + (_tmp7_ / 1000.0);
	if (begin <= self->priv->location) {
		_tmp8_ = self->priv->location <= end;
	} else {
		_tmp8_ = FALSE;
	}
	if (_tmp8_) {
		gboolean _tmp9_ = FALSE;
		if (self->priv->innermost == NULL) {
			_tmp9_ = TRUE;
		} else {
			gboolean _tmp10_ = FALSE;
			if (self->priv->innermost_begin <= begin) {
				_tmp10_ = self->priv->innermost_end >= end;
			} else {
				_tmp10_ = FALSE;
			}
			_tmp9_ = _tmp10_;
		}
		if (_tmp9_) {
			ValaBlock* _tmp11_;
			ValaBlock* _tmp12_;
			_tmp11_ = _vala_code_node_ref0 (b);
			_tmp12_ = _tmp11_;
			_vala_code_node_unref0 (self->priv->innermost);
			self->priv->innermost = _tmp12_;
		}
	}
	vala_code_node_accept_children ((ValaCodeNode*) b, (ValaCodeVisitor*) self);
}


static void block_locator_real_visit_namespace (ValaCodeVisitor* base, ValaNamespace* ns) {
	BlockLocator * self;
	self = (BlockLocator*) base;
	g_return_if_fail (ns != NULL);
	vala_code_node_accept_children ((ValaCodeNode*) ns, (ValaCodeVisitor*) self);
}


static void block_locator_real_visit_class (ValaCodeVisitor* base, ValaClass* cl) {
	BlockLocator * self;
	self = (BlockLocator*) base;
	g_return_if_fail (cl != NULL);
	vala_code_node_accept_children ((ValaCodeNode*) cl, (ValaCodeVisitor*) self);
}


static void block_locator_real_visit_struct (ValaCodeVisitor* base, ValaStruct* st) {
	BlockLocator * self;
	self = (BlockLocator*) base;
	g_return_if_fail (st != NULL);
	vala_code_node_accept_children ((ValaCodeNode*) st, (ValaCodeVisitor*) self);
}


static void block_locator_real_visit_interface (ValaCodeVisitor* base, ValaInterface* iface) {
	BlockLocator * self;
	self = (BlockLocator*) base;
	g_return_if_fail (iface != NULL);
	vala_code_node_accept_children ((ValaCodeNode*) iface, (ValaCodeVisitor*) self);
}


static void block_locator_real_visit_method (ValaCodeVisitor* base, ValaMethod* m) {
	BlockLocator * self;
	self = (BlockLocator*) base;
	g_return_if_fail (m != NULL);
	vala_code_node_accept_children ((ValaCodeNode*) m, (ValaCodeVisitor*) self);
}


static void block_locator_real_visit_creation_method (ValaCodeVisitor* base, ValaCreationMethod* m) {
	BlockLocator * self;
	self = (BlockLocator*) base;
	g_return_if_fail (m != NULL);
	vala_code_node_accept_children ((ValaCodeNode*) m, (ValaCodeVisitor*) self);
}


static void block_locator_real_visit_property (ValaCodeVisitor* base, ValaProperty* prop) {
	BlockLocator * self;
	self = (BlockLocator*) base;
	g_return_if_fail (prop != NULL);
	vala_code_node_accept_children ((ValaCodeNode*) prop, (ValaCodeVisitor*) self);
}


static void block_locator_real_visit_property_accessor (ValaCodeVisitor* base, ValaPropertyAccessor* acc) {
	BlockLocator * self;
	self = (BlockLocator*) base;
	g_return_if_fail (acc != NULL);
	vala_code_node_accept_children ((ValaCodeNode*) acc, (ValaCodeVisitor*) self);
}


static void block_locator_real_visit_constructor (ValaCodeVisitor* base, ValaConstructor* c) {
	BlockLocator * self;
	self = (BlockLocator*) base;
	g_return_if_fail (c != NULL);
	vala_code_node_accept_children ((ValaCodeNode*) c, (ValaCodeVisitor*) self);
}


static void block_locator_real_visit_destructor (ValaCodeVisitor* base, ValaDestructor* d) {
	BlockLocator * self;
	self = (BlockLocator*) base;
	g_return_if_fail (d != NULL);
	vala_code_node_accept_children ((ValaCodeNode*) d, (ValaCodeVisitor*) self);
}


static void block_locator_real_visit_if_statement (ValaCodeVisitor* base, ValaIfStatement* stmt) {
	BlockLocator * self;
	self = (BlockLocator*) base;
	g_return_if_fail (stmt != NULL);
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
}


static void block_locator_real_visit_switch_statement (ValaCodeVisitor* base, ValaSwitchStatement* stmt) {
	BlockLocator * self;
	self = (BlockLocator*) base;
	g_return_if_fail (stmt != NULL);
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
}


static void block_locator_real_visit_switch_section (ValaCodeVisitor* base, ValaSwitchSection* section) {
	BlockLocator * self;
	self = (BlockLocator*) base;
	g_return_if_fail (section != NULL);
	vala_code_visitor_visit_block ((ValaCodeVisitor*) self, (ValaBlock*) section);
}


static void block_locator_real_visit_while_statement (ValaCodeVisitor* base, ValaWhileStatement* stmt) {
	BlockLocator * self;
	self = (BlockLocator*) base;
	g_return_if_fail (stmt != NULL);
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
}


static void block_locator_real_visit_do_statement (ValaCodeVisitor* base, ValaDoStatement* stmt) {
	BlockLocator * self;
	self = (BlockLocator*) base;
	g_return_if_fail (stmt != NULL);
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
}


static void block_locator_real_visit_for_statement (ValaCodeVisitor* base, ValaForStatement* stmt) {
	BlockLocator * self;
	self = (BlockLocator*) base;
	g_return_if_fail (stmt != NULL);
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
}


static void block_locator_real_visit_foreach_statement (ValaCodeVisitor* base, ValaForeachStatement* stmt) {
	BlockLocator * self;
	self = (BlockLocator*) base;
	g_return_if_fail (stmt != NULL);
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
}


static void block_locator_real_visit_try_statement (ValaCodeVisitor* base, ValaTryStatement* stmt) {
	BlockLocator * self;
	self = (BlockLocator*) base;
	g_return_if_fail (stmt != NULL);
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
}


static void block_locator_real_visit_catch_clause (ValaCodeVisitor* base, ValaCatchClause* clause) {
	BlockLocator * self;
	self = (BlockLocator*) base;
	g_return_if_fail (clause != NULL);
	vala_code_node_accept_children ((ValaCodeNode*) clause, (ValaCodeVisitor*) self);
}


static void block_locator_real_visit_lock_statement (ValaCodeVisitor* base, ValaLockStatement* stmt) {
	BlockLocator * self;
	self = (BlockLocator*) base;
	g_return_if_fail (stmt != NULL);
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
}


static void block_locator_real_visit_lambda_expression (ValaCodeVisitor* base, ValaLambdaExpression* expr) {
	BlockLocator * self;
	self = (BlockLocator*) base;
	g_return_if_fail (expr != NULL);
	vala_code_node_accept_children ((ValaCodeNode*) expr, (ValaCodeVisitor*) self);
}


BlockLocator* block_locator_construct (GType object_type) {
	BlockLocator* self = NULL;
	self = (BlockLocator*) vala_code_visitor_construct (object_type);
	return self;
}


BlockLocator* block_locator_new (void) {
	return block_locator_construct (TYPE_BLOCK_LOCATOR);
}


static void block_locator_class_init (BlockLocatorClass * klass) {
	block_locator_parent_class = g_type_class_peek_parent (klass);
	VALA_CODE_VISITOR_CLASS (klass)->finalize = block_locator_finalize;
	g_type_class_add_private (klass, sizeof (BlockLocatorPrivate));
	VALA_CODE_VISITOR_CLASS (klass)->visit_block = block_locator_real_visit_block;
	VALA_CODE_VISITOR_CLASS (klass)->visit_namespace = block_locator_real_visit_namespace;
	VALA_CODE_VISITOR_CLASS (klass)->visit_class = block_locator_real_visit_class;
	VALA_CODE_VISITOR_CLASS (klass)->visit_struct = block_locator_real_visit_struct;
	VALA_CODE_VISITOR_CLASS (klass)->visit_interface = block_locator_real_visit_interface;
	VALA_CODE_VISITOR_CLASS (klass)->visit_method = block_locator_real_visit_method;
	VALA_CODE_VISITOR_CLASS (klass)->visit_creation_method = block_locator_real_visit_creation_method;
	VALA_CODE_VISITOR_CLASS (klass)->visit_property = block_locator_real_visit_property;
	VALA_CODE_VISITOR_CLASS (klass)->visit_property_accessor = block_locator_real_visit_property_accessor;
	VALA_CODE_VISITOR_CLASS (klass)->visit_constructor = block_locator_real_visit_constructor;
	VALA_CODE_VISITOR_CLASS (klass)->visit_destructor = block_locator_real_visit_destructor;
	VALA_CODE_VISITOR_CLASS (klass)->visit_if_statement = block_locator_real_visit_if_statement;
	VALA_CODE_VISITOR_CLASS (klass)->visit_switch_statement = block_locator_real_visit_switch_statement;
	VALA_CODE_VISITOR_CLASS (klass)->visit_switch_section = block_locator_real_visit_switch_section;
	VALA_CODE_VISITOR_CLASS (klass)->visit_while_statement = block_locator_real_visit_while_statement;
	VALA_CODE_VISITOR_CLASS (klass)->visit_do_statement = block_locator_real_visit_do_statement;
	VALA_CODE_VISITOR_CLASS (klass)->visit_for_statement = block_locator_real_visit_for_statement;
	VALA_CODE_VISITOR_CLASS (klass)->visit_foreach_statement = block_locator_real_visit_foreach_statement;
	VALA_CODE_VISITOR_CLASS (klass)->visit_try_statement = block_locator_real_visit_try_statement;
	VALA_CODE_VISITOR_CLASS (klass)->visit_catch_clause = block_locator_real_visit_catch_clause;
	VALA_CODE_VISITOR_CLASS (klass)->visit_lock_statement = block_locator_real_visit_lock_statement;
	VALA_CODE_VISITOR_CLASS (klass)->visit_lambda_expression = block_locator_real_visit_lambda_expression;
}


static void block_locator_instance_init (BlockLocator * self) {
	self->priv = BLOCK_LOCATOR_GET_PRIVATE (self);
	self->priv->innermost = NULL;
}


static void block_locator_finalize (ValaCodeVisitor* obj) {
	BlockLocator * self;
	self = BLOCK_LOCATOR (obj);
	_vala_code_node_unref0 (self->priv->innermost);
	VALA_CODE_VISITOR_CLASS (block_locator_parent_class)->finalize (obj);
}


GType block_locator_get_type (void) {
	return block_locator_type_id;
}


GType block_locator_register_type (GTypeModule * module) {
	static const GTypeInfo g_define_type_info = { sizeof (BlockLocatorClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) block_locator_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (BlockLocator), 0, (GInstanceInitFunc) block_locator_instance_init, NULL };
	block_locator_type_id = g_type_module_register_type (module, VALA_TYPE_CODE_VISITOR, "BlockLocator", &g_define_type_info, 0);
	return block_locator_type_id;
}



